Bug 3098 - Telnet's escape character can't be disabled.
Telnet's escape character can't be disabled.
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
ftp://ftp.sisalik.ee/pub/telnetfix
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-27 13:46 EDT by Antti Andreimann
Modified: 2015-01-07 18:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-02 09:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antti Andreimann 1999-05-27 13:46:18 EDT
telnet -e "" or telnet -E still respond to ^@ as escape
character. The problem is that ascii code of ^@ is equal
to zero and the value of _POSIX_VDISABLE used in telnet
source code is also set to zero by header files.
The problem can be fixed by throwing <A
HREF=ftp://ftp.sisalik.ee/pub/telnetfix/telnet-0.10-escapechar.patch>this</A>
patch into
telnet's source code (after the telnet-client.tar.gz file
has been uncompressed).
Netkit's default telnet (that is not used) does exactly the
same tests as this patch.
The fixed telnet source rpm as well as spec file, patch and
i386 binary rpm are available at:
       ftp://ftp.sisalik.ee/pub/telnetfix
I am sorry if this is a bad way to submit a bug fix.
I did not want to upload this package to contrib or rhcn.
If someone can contact me and explain how to do it in a
right way I'd appriciate it.
Comment 1 Antti Andreimann 1999-06-02 09:12:59 EDT
I did e-mail my patch to bugzilla and it's visible from query page. I
really have to start reading help screens and FAQ-s :-) I hope you can
include my patch in next official release.
Comment 2 Jeff Johnson 1999-06-02 09:47:59 EDT
Fixed (by applying your patch) in telnet-0.10-28. Thanks for the
patch.

Note You need to log in before you can comment on or make changes to this bug.